## com.vividsolutions.jts.triangulate.quadedge
Class LocateFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.vividsolutions.jts.triangulate.quadedge.LocateFailureException

All Implemented Interfaces:
  java.io.Serializable

public class LocateFailureException
extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`LocateFailureException(LineSegment seg)`
`LocateFailureException(java.lang.String msg)`
`LocateFailureException(java.lang.String msg, LineSegment seg)`

Method Summary
`LineSegment` `getSegment()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocateFailureException

    public LocateFailureException(java.lang.String msg)

### LocateFailureException

    public LocateFailureException(java.lang.String msg,
                                  LineSegment seg)

### LocateFailureException

    public LocateFailureException(LineSegment seg)

Method Detail

### getSegment

    public LineSegment getSegment()